var Core = require("core");
var Ocdn = require("dl").Ocdn.Ocdn;

var credentialKey = 's3.storage.ocdn.onetapi.pl';
var application = 'edgeserver.edgeserver.onetapi.pl';

var cm = Core.Credentials.CredentialsManager.factory(application);
cm.addEventListener(Core.Credentials.CredentialsManager.Event.LOADED, credentialKey, function(data){
    // przy kazdym hitcie
    var ocdn = new Ocdn("edge.onetapi.pl", "S3", data.data);
    
    ocdn.addEventListener(Ocdn.Event.LOADED, function(e){
        var fileId = e.data.getBody().getResult();
        console.log(fileId);
        var url = ocdn.get(fileId);
        console.log(url);
    });
    
    ocdn.addEventListener(Ocdn.Event.ERROR, function(e){
        console.log(e);
    });
    
    ocdn.set(new Buffer("slawek janecki " + (+ new Date())));
    
    
}).addEventListener(Core.Credentials.CredentialsManager.Event.ERROR, credentialKey, function(e){
    console.log(e);
    that.dispatchEvent(new ErrorEvent(DriverAbstract.Event.ERROR, e));
});
cm.getCredential(credentialKey);
