var Class = require("core").Class;
var CdfModel = require('./CdfModel.js').CdfModel;
var CdfContainer = require('./CdfContainer.js').CdfContainer;

/**
 * @class CdfContainer
 */
var CdfContainer = function(){

    // kontener na modele
    this._models = [];

    /**
     * @ignore
     */         
    this.initialize = function(){
        
    };    
    
    /**
     * Dodaje model do kolekcji 
     */
    this.add = function(model){ 
        this._models.push(model);
    };
    
    /**
     * Zwraca model o podanym index'ie 
     */
    this.get = function(index){
        return this._models[index];
    };
    
    
    /**
     * Zwraca ilość posiadanych modeli w kolekcji
     */
    this.getLength = function(){
        return this._models.length;
    };

};

CdfContainer = new Class( new CdfContainer() );
exports.CdfContainer = CdfContainer;
