var CdfTemplate = require("dl").Cdf.CdfTemplate;
var CdfDatasource = require("dl").Cdf.CdfDatasource;


var dsRemote = new CdfDatasource();
dsRemote.url = "cms_content.onetapi.pl";
dsRemote.method = "get";
dsRemote.params = {title: "slawek"};

var dsLocal = {ok:10};



var container = new CdfTemplate("container");
container.role = "container";
container.kind = "container";


var list = new CdfTemplate("list");
list.role = "list";
list.kind = "list";
list.data = dsLocal;


var article = new CdfTemplate("article");
article.role = "article";
article.kind = "article";
article.data = dsRemote;


container.addChild(article);

container.addChild(list);


console.log(container.toString());