var Class = require("core").Class;
var CdfTag = require("./CdfTag.js").CdfTag;

/**
 * @class CdfTarget
 * @extends CdfTag
 */
var CdfTarget = function(){
    this.Extends = CdfTag;
    this.id = null;
    this.initialize = function(data){
        this.parent(data);
        this._parse();
        //TODO parse data  
    };
    
    this._parse = function(){
        
        var matches = this.token.match(/^<cdf:target([^>]+)>/i);
        
        var attrMatches = matches[1].match(/\S+="\S+?"/ig);

        var match = null;
        var valuePair = null;
        
        for(var i=0,max=attrMatches.length;i<max;i++){
            match = attrMatches[i];
            valuePair = match.match(/(\S+)="(\S+?)"/i);
            this._parseParam(valuePair[1], valuePair[2]);
        }
  
    };
    
    this._parseParam = function(name, value){

        switch(name){
            case "id":
                this.id = value;
            break;
            
            default:
                console.log('ERROR: CdfModel::_parseParam : unsupported param name: '+name);
            break;
        }
    };
    
    
    
    /**
     * Zwraca kompletnego stringa cdf <cdf:
     */
    this.toString = function(){
        
    };
};

CdfTarget = new Class( new CdfTarget() );
exports.CdfTarget = CdfTarget;
